-- ---------------------------------------------------------------------------
-- CALENDAR_CALENDAR
-- ---------------------------------------------------------------------------

CREATE TABLE CALENDAR_CALENDAR
(
    CALENDAR_ID VARCHAR (99) NOT NULL PRIMARY KEY,
	NEXT_ID INT,
    XML LONG VARCHAR
);

-- ---------------------------------------------------------------------------
-- CALENDAR_EVENT
-- ---------------------------------------------------------------------------

CREATE TABLE CALENDAR_EVENT
(
   CALENDAR_ID VARCHAR (99) NOT NULL,
	EVENT_ID VARCHAR (36) NOT NULL,
	EVENT_START TIMESTAMP NOT NULL,
	EVENT_END TIMESTAMP NOT NULL,
	RANGE_START INTEGER NOT NULL,
	RANGE_END INTEGER NOT NULL,
    XML CLOB
);

CREATE UNIQUE INDEX EVENT_INDEX ON CALENDAR_EVENT
(
	EVENT_ID
) ALLOW REVERSE SCANS;

CREATE INDEX CALENDAR_EVENT_INDEX ON CALENDAR_EVENT
(
	CALENDAR_ID
) ALLOW REVERSE SCANS;

CREATE INDEX CALENDAR_EVENT_RSTART ON CALENDAR_EVENT
(
	RANGE_START
) ALLOW REVERSE SCANS;

CREATE INDEX CALENDAR_EVENT_REND ON CALENDAR_EVENT
(
	RANGE_END
) ALLOW REVERSE SCANS;





